--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: "Reset the Resource to a similar state as a new record: removes it from identity map and clears original property values (thus making all properties non dirty)"
- !ruby/struct:SM::Flow::P 
  body: "@api private"
full_name: DataMapper::Resource#reset
is_singleton: false
name: reset
params: ()
visibility: public
